//********************************************************************
//  Airport.java       Author: Rio (Ryo Akasaka) and Hahna Kane
//
//  Last modified: Friday, May 11, 2007
//
//  Contains information about each airport. Stores the acronym, the
//  GMT offset, the x and y  coordinates, as well as the long name
//  version.
//
//********************************************************************

public class Airport
{
  protected String acronym; // 3 Letter acronym for airport
  protected int GMT; // Offset from GMT
  protected int xcord; // X coordinate
  protected int ycord; // Y coordinate
  protected String name; // Long name

  //-----------------------------------------------------------------
  //  Constructor
  //-----------------------------------------------------------------
  public Airport(String acro, int gmt, int x, int y, String nm)
  {
    acronym = acro;
    GMT = gmt;
    xcord = x;
    ycord = y;
    name = nm;
  }

  //-----------------------------------------------------------------
  //  Accessors
  //-----------------------------------------------------------------

  public String getAcronym() { return acronym; }
  public int getGMT() { return GMT; }
  public int getX() { return xcord; }
  public int getY() { return ycord; }
  public String getName() { return name; }

  //-----------------------------------------------------------------
  //  toString method
  //-----------------------------------------------------------------

  public String toString()
  {
    return (acronym + " " + GMT + " " +
										xcord + " " + ycord + " " + name);
  }

  public String longName()
  {
    return name;
  }
}


