//********************************************************************
//  Connect.java       Author: Rio (Ryo Akasaka) and Hahna Kane
//
//  Contains information about the shortest flight to a city,
//  the departure city, and the layover time between this and
// 	the next city.
//
//********************************************************************

public class Connect {
  
  protected FlightInfo flight;
  protected int time;

  /**
   * Constructor for connecting flight
   * @param FlighInfo object of shortest flight
   * @param int of time spent at layover
   */    
  public Connect(FlightInfo f, int t) {
    flight = f; // Flight information of shortest flight
    time = t; // Time spent at layover
  }

  /**
   * Return shortest flight
   * @return FlighInfo object of shortest flight
   */    
  public FlightInfo getFlight() {
    return flight;
  }

  /**
   * Return layover time
   * @return int of layover time
   */   
  public int getTime() {
    return time;
  }
}