//********************************************************************
//  Edge.java       Author: Rio (Ryo Akasaka) and Hahna Kane
//
//  Last modified: Friday, May 11, 2007
//
//  Represents the edge of a graph.
//
//********************************************************************

public class Edge
{
  public FlightInfo edgeInfo; //info of edge, contains FlightInfo
  public int cost; //Edge cost

  /**
   * Constructor
   * @param FlighInfo object containing flight of edge
   * @param int cost of flight (flight time)
   */   
  public Edge(FlightInfo f, int c)
  {
    edgeInfo = f;
    cost = c;
  }

  /**
   * Returns FlighInfo object associated with edge
   * @return FlightInfo object
   */   
  public FlightInfo getInfo()
  {
    return edgeInfo;
  }

  /**
   * Returns flight time for edge.
   * @return cost of flight (flight time)
   */   
  public int getCost()
  {
    return cost;
  }
}