//********************************************************************
//  FlightInfo.java       Author: Rio (Ryo Akasaka) and Hahna Kane
//  
//  Last modified: Friday, May 11, 2007
//
//  Stores information about each flight going into an edge
//
//********************************************************************

public class FlightInfo extends FinalProject
{
  protected String flight; // Flight name
  protected int flightnum; // Flight number
  protected int departime; // Departure time
  protected String departampm; // Am/PM?
  protected Vertex dest; //Destination
  protected int arrivetime; // Arrival time
  protected String arriveampm; // Am/PM?
  protected int numstops;
  

  /**
   * Constructor for flight information
   * @param String flight name
   * @param integer flight number
   * @param int number of stops
   */  
  public FlightInfo(String fl, int flightn, int numst  )
  {
    flight = fl;
    flightnum = flightn;
	numstops = numst;
  }

  //-----------------------------------------------------------------
  //  Accessors
  //-----------------------------------------------------------------

  public String getFlight() { return flight; }
  public int getFlightNum() { return flightnum; }
  public int getDepart() { return departime; }
  public String getDampm() { return departampm; }
  public Vertex getDest() { return dest; }
  public int getArrival() { return arrivetime; }
  public String getAampm() { return arriveampm; }
  public int getNumStops() { return numstops; }
  
  //-----------------------------------------------------------------
  //  Mutators
  //-----------------------------------------------------------------

  public void addDepart(int d) { departime = d; }
  public void addDampm(String a) { departampm = a; }
  public void addDest(Vertex d) { dest = d;}
  public void addArrival(int d) { arrivetime = d; }
  public void addAampm(String a) { arriveampm = a; }
  public void addNumStops(int s) { numstops = s;}

  //-----------------------------------------------------------------
  //  toString method
  //-----------------------------------------------------------------

  public String toString()
  {
    return ("\t" + dest.printEdge()+ "\n\tFlight: " 
	    + flight + " " + flightnum + "\n\tDeparts at: " 
	    + departime + departampm + "\n\tArrives at: " 
	    + arrivetime + arriveampm); 
  }
}
