//********************************************************************
//  Path.java       Author: Rio (Ryo Akasaka) and Hahna Kane
//
//  Last modified: Friday, May 11, 2007
//
//  Stores destination vertex and cost to get to vertex.
//
//********************************************************************

class Path implements Comparable<Path>
{
  public Vertex dest;
  public int cost;

  /**
   * Constructor for path
   * @param Vertex of destination
   * @param integer of cost (flight time)
   */    
  public Path(Vertex d, int c)
  {
    dest = d;
    cost = c;
  }

  /**
   * Comparator.
   * @param Path rhs.
   */  
  public int compareTo(Path rhs)
  {
    int otherCost = rhs.cost;
    
    if (cost < otherCost)
      return -1;
    else if (cost > otherCost)
      return 1;
    else
      return 0;
  }
}